[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# Intr

Execute interrupt

## Declaration

Source position: dosh.inc line 89

`procedure Intr(`
`intno: Byte;`
`var regs: Registers`
`);`

## Description

Intr executes a software interrupt number IntNo (must be between 0 and 255), with processor registers set to Regs. After the interrupt call returned, the processor registers are saved in Regs.

Remark: | Under non-dos operating systems, this call does nothing.

## Errors

None.

## See also

MSDos |  | Execute MS-DOS system call

The latest version of this document can be found at lazarus-ccr.sourceforge.net.